Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
[Java] Class UnicodeEscapingReader

    java.lang.Object
      java.io.Reader
          org.codehaus.groovy.antlr.UnicodeEscapingReader

    public class UnicodeEscapingReader
    extends java.io.Reader

Translates GLS-defined unicode escapes into characters. Throws an exception in the event of an invalid unicode escape being detected.

No attempt has been made to optimize this class for speed or space.

Version:
  \$Revision\$

Method Summary
`java.lang.Object` | `UnicodeEscapingReader(java.io.Reader reader, SourceBuffer sourceBuffer)` Constructor.
`void` | `close()`
`int` | `getUnescapedUnicodeColumnCount()`
`int` | `getUnescapedUnicodeOffsetCount()`
`int` | `read(char[] cbuf, int off, int len)` Reads characters from the underlying reader.
`int` | `read()` Gets the next character from the underlying reader, translating escapes as required.
`void` | `setLexer(antlr.CharScanner lexer)` Sets the lexer that is using this reader.

Methods inherited from class java.io.Reader
java.io.Reader#close(), java.io.Reader#mark(int), java.io.Reader#reset(), java.io.Reader#skip(long), java.io.Reader#read(java.nio.CharBuffer), java.io.Reader#read(), java.io.Reader#read([C), java.io.Reader#read([C, int, int), java.io.Reader#markSupported(), java.io.Reader#ready(), java.io.Reader#wait(long), java.io.Reader#wait(long, int), java.io.Reader#wait(), java.io.Reader#equals(java.lang.Object), java.io.Reader#toString(), java.io.Reader#hashCode(), java.io.Reader#getClass(), java.io.Reader#notify(), java.io.Reader#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### UnicodeEscapingReader

    public java.lang.Object UnicodeEscapingReader(java.io.Reader reader, SourceBuffer sourceBuffer)

  Constructor.
  Parameters:
    `reader` - The reader that this reader will filter over.

### close

    public void close()

### getUnescapedUnicodeColumnCount

    public int getUnescapedUnicodeColumnCount()

### getUnescapedUnicodeOffsetCount

    public int getUnescapedUnicodeOffsetCount()

### read

    public int read(char[] cbuf, int off, int len)

  Reads characters from the underlying reader.
  See Also:
    java.io.Reader#read(char[],int,int)

### read

    public int read()

  Gets the next character from the underlying reader, translating escapes as required.
  See Also:
    java.io.Reader#close()

### setLexer

    public void setLexer(antlr.CharScanner lexer)

  Sets the lexer that is using this reader. Must be called before the lexer is used.

Groovy Documentation